//**********************
// Switch sample
//
// (C)Copyright 2010-2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
//**********************
#include <xc.h>
#include "Config.h"
#include "WAIT.h"
#include "OSC.h"
#include "LED.h"
#include "SW.h"

char key=0;

void interrupt isr(void)
{
	if (IOCIE && IOCIF) {
		if(SW1F==1){
			if(key==0){
				onLED();
				key=1;
			}else{
				offLED();
				key=0;
			}
			while(SW1==0);	// wait key press
			waitNms(100);	// avoid chattering
		}
		SW1F=0;	// clear flag
	}
}

int main(void)
{

	initOSC();	// 32MHz
	initLED();
	initSW();

	while(1);

}

